Description

Nexus   [text/plain]

Zip file    [application/zip]

Microsoft Excel OpenXML [application/vnd.openxmlformats-officedocument.spreadsheetml.sheet]

Microsoft Word OpenXML  [application/vnd.openxmlformats-officedocument.wordprocessingml.document]

FASTA sequence file [application/x-fasta]

Extensible Markup Language  [text/xml]

Rich Text Format  [application/rtf]

Hypertext Markup  Language  [text/html]

Postscript      [application/postscript]

Wave Audio Format   [audio/x-wav]

Mathematica Notebook        [application/mathematica]

Quicktime           [video/quicktime]

Microsoft Powerpoint        [application/vnd.ms-powerpoint]

History

#1 - 2012-08-14 21:58 - Ryan Scherle

I know it's wrong to have Nexus listed as text/plain. We're looking to see whether there is a type already defined; otherwise we'll need to define one.

But regardless, we will  still need a text/plain.

#2 - 2012-08-14 23:35 - Matthew Jones

We already have text/plain registered as a data format, fyi.  But we also need a Nexus format registered.  Does Nexus have multiple different formats

representing different versions of the specification, or is it truly ne file format?  Also, should we register NeXML as a separate format?  (

http://nexml.org/)

#3 - 2012-08-15 15:02 - Ryan Scherle

Nexus has a "base" format, with multiple incompatible implementations. There is currently no tool that can easily distinguish them. The closest thing

to a specification is this article: http://dx.doi.org/10.1093/sysbio/46.4.590

Note there is a completely separate format called "NeXus" from the particle physics community.

Yes, NeXML should be a separate format. It wasn't on the list because we do not yet have any NeXML files in Dryad.

#4 - 2012-08-29 16:05 - Chris Jones

- Status changed from New to Closed
